.getIncubate-sec h2 {
    font-size: 1.55rem;
    font-weight: 700;
    color: #333333;
    margin-top: 10px;
}

.page {
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.form-card {
    background: #ffffff;
    width: 700px;
    padding: 30px;
    border-radius: 14px;
    border: 2px solid #36cfa2;
    box-shadow: 0 10px 25px rgba(0,0,0,0.08);
}

.form-card h2 {
    text-align: center;
    margin-bottom: 8px;
    color: #0b7d5d;
}

.subtitle {
    text-align: center;
    font-size: 1rem;
    color: #666;
    margin-bottom: 25px;
}

.form-group {
    margin-bottom: 15px;
}

label {
    display: block;
    font-size: 1rem;
    font-weight: 600;
    margin-bottom: 6px;
    color: #333;
}

label span {
    color: red;
}

input, select, textarea {
    width: 100%;
    padding: 12px;
    border-radius: 10px;
    border: 1px solid #ccc;
    font-size: 1rem;
    outline: none;
    transition: 0.3s;
}

input:focus,
select:focus,
textarea:focus {
    border-color: #36cfa2;
    box-shadow: 0 0 0 2px rgba(54, 207, 162, 0.2);
}

textarea {
    resize: none;
}

.btn-submit {
    width: 100%;
    background: #18d685;
    border: none;
    padding: 1.1rem;
    border-radius: 12px;
    color: #fff;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    margin-top: 15px;
    transition: 0.3s;
}

.btn-submit:hover {
    background: #14b970;
}